Bug 870101 (CVE-2012-4537) - CVE-2012-4537 kernel: xen: Memory mapping failure can crash Xen
Summary: CVE-2012-4537 kernel: xen: Memory mapping failure can crash Xen
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-4537
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 870148 870149 876203
Blocks: 870154
TreeView+ depends on / blocked
 
Reported: 2012-10-25 14:41 UTC by Petr Matousek
Modified: 2021-02-17 08:28 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-15 14:28:10 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1540 0 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2012-12-05 01:51:24 UTC

Description Petr Matousek 2012-10-25 14:41:40 UTC
When set_p2m_entry fails, Xen's internal data structures (the p2m and m2p tables) can get out of sync. This failure can be triggered by unusual guest behaviour exhausting the memory reserved for the p2m table. If it happens, subsequent guest-invoked memory operations can cause Xen to fail an assertion and crash.

A malicious HVM guest administrator might be able to cause Xen to crash.


Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.

Comment 3 Petr Matousek 2012-10-25 16:19:06 UTC
Statement:

This issue did affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.

Comment 12 Petr Matousek 2012-11-13 14:45:59 UTC
Created xen tracking bugs for this issue

Affects: fedora-all [bug 876203]

Comment 13 Fedora Update System 2012-11-23 02:55:26 UTC
xen-4.1.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2012-11-23 02:59:06 UTC
xen-4.1.3-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2012-11-23 07:20:37 UTC
xen-4.2.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 errata-xmlrpc 2012-12-04 20:53:40 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1540 https://rhn.redhat.com/errata/RHSA-2012-1540.html


Note You need to log in before you can comment on or make changes to this bug.